Subject: Re: bug#48579: 28.0.50; Spawning an emacs process using call-process results in inconsistent, behavior between GNU/Linux and macOS

From: Alan Third <[email-masked]>
Date: Sat, 22 May 2021 14:04:58 +0100

On Sat, May 22, 2021 at 02:54:26PM +0200, Daniel Mendler wrote:
> But this discussion here seems to be a bit off-track. My point here is
> that the current working directory determination on MacOS uses a
> heuristic, which is not correct. It incorrectly determines that Emacs
> has been launched from the finder or some other Mac GUI application and
> therefore changes the directory to the home directory. If Emacs is
> indeed started from the GUI, this makes all sense. But this is not the
> case here. The TTY heuristic, that Alan described, is insufficient.

I can't find any other way, and we had multiple complaints when the
behaviour was broken whereas this is the first complaint in the other
direction that I've seen.

If you find an alternative, please let us know.
-- 
Alan Third